[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStringStream.WriteUnicodeString

Write a unicode string to the stream

## Declaration

Source position: classesh.inc line 1107

`public procedure TStringStream.WriteUnicodeString(`
`const AString: UnicodeString`
`);`

## Description

WriteUnicodeString will write a unicodestring and correctly handle the codepage translation if necessary.

## See also

TStream.ReadString
TStringStream.ReadUnicodeString |  | Read a unicode string from the stream
TStringStream.ReadAnsiString |  | Read an ansistring from the stream
TStringStream.WriteAnsiString |  | Write an ansistring to the stream